> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Statistics For Entities

> Gets statistics for the specified collection of entities.

Allowed entity token types: title, title_player_account, game_server

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidEntityType | 1373 |
| NotAuthorized | 1089 |
| StatisticNotFound | 1195 |




## OpenAPI

````yaml /services/playfab/api-references/rest/progression/progression.openapi.json post /Statistic/GetStatisticsForEntities
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Progression API
  description: Manage entity statistics Manage entity leaderboards
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Leaderboards
    description: Leaderboards APIs
  - name: Statistics
    description: Statistics APIs
paths:
  /Statistic/GetStatisticsForEntities:
    post:
      tags:
        - Statistics
      summary: Get Statistics For Entities
      description: |
        Gets statistics for the specified collection of entities.

        Allowed entity token types: title, title_player_account, game_server

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | InvalidEntityType | 1373 |
        | NotAuthorized | 1089 |
        | StatisticNotFound | 1195 |
      operationId: GetStatisticsForEntities
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetStatisticsForEntitiesRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetStatisticsForEntitiesResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetStatisticsForEntitiesRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entities:
          description: Collection of Entity IDs to retrieve statistics for.
          type: array
          items:
            $ref: '#/components/schemas/EntityKey'
          x-isclass: true
        StatisticNames:
          description: >-
            The list of statistics to return for the user. If set to null, the
            current version of all statistics are returned.
          type: array
          items:
            type: string
      required:
        - Entities
      example:
        Entities:
          - Id: A197412JDA
            Type: title_player_account
            TypeString: title_player_account
          - Id: B197412JDB
            Type: title_player_account
            TypeString: title_player_account
        StatisticNames:
          - SpeedRuns
          - Boosts
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    GetStatisticsForEntitiesResponse:
      type: object
      properties:
        ColumnDetails:
          allOf:
            - $ref: '#/components/schemas/StatisticColumnCollection'
          description: >-
            A mapping of statistic name to the columns defined in the
            corresponding definition.
        EntitiesStatistics:
          description: >-
            List of entities mapped to their statistics. Only the latest version
            of a statistic is returned.
          type: array
          items:
            $ref: '#/components/schemas/EntityStatistics'
          x-isclass: true
      example:
        EntitiesStatistics:
          - EntityKey:
              Id: A197412JDA
              Type: title_player_account
              TypeString: title_player_account
            Statistics:
              - Name: SpeedRuns
                Scores:
                  - '89'
              - Name: Boosts
                Scores:
                  - '3'
          - EntityKey:
              Id: B197412JDB
              Type: title_player_account
              TypeString: title_player_account
            Statistics:
              - Name: SpeedRuns
                Scores:
                  - '50'
              - Name: Boosts
                Scores:
                  - '1'
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    StatisticColumnCollection:
      type: object
      properties:
        Columns:
          description: >-
            Columns for the statistic defining the aggregation method for each
            column.
          type: array
          items:
            $ref: '#/components/schemas/StatisticColumn'
          x-isclass: true
    EntityStatistics:
      type: object
      properties:
        EntityKey:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity for which the statistics are returned.
        Statistics:
          description: The statistics for the given entity key.
          type: array
          items:
            $ref: '#/components/schemas/EntityStatisticValue'
          x-isclass: true
    StatisticColumn:
      type: object
      properties:
        AggregationMethod:
          allOf:
            - $ref: '#/components/schemas/StatisticAggregationMethod'
          description: Aggregation method for calculating new value of a statistic.
        Name:
          description: Name of the statistic column, as originally configured.
          type: string
      required:
        - Name
        - AggregationMethod
    EntityStatisticValue:
      type: object
      properties:
        Metadata:
          description: Metadata associated with the Statistic.
          type: string
        Name:
          description: Statistic name
          type: string
        Scores:
          description: Statistic scores
          type: array
          items:
            type: string
        Version:
          description: Statistic version
          type: number
          x-actualtype: int32
      required:
        - Version
    StatisticAggregationMethod:
      type: string
      enum:
        - Last
        - Min
        - Max
        - Sum
  responses:
    GetStatisticsForEntitiesResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetStatisticsForEntitiesResponse'
            example:
              code: 200
              status: OK
              data:
                EntitiesStatistics:
                  - EntityKey:
                      Id: A197412JDA
                      Type: title_player_account
                      TypeString: title_player_account
                    Statistics:
                      - Name: SpeedRuns
                        Scores:
                          - '89'
                      - Name: Boosts
                        Scores:
                          - '3'
                  - EntityKey:
                      Id: B197412JDB
                      Type: title_player_account
                      TypeString: title_player_account
                    Statistics:
                      - Name: SpeedRuns
                        Scores:
                          - '50'
                      - Name: Boosts
                        Scores:
                          - '1'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Statistics For Entities](/services/playfab/api-references/rest/progression/statistics/get-statistics-for-entities.md)
- [PFStatisticsGetStatisticsForEntitiesAsync](/services/playfab/api-references/c/pfstatistics/functions/pfstatisticsgetstatisticsforentitiesasync.md)
- [PFStatisticsGetStatisticsForEntitiesRequest](/services/playfab/api-references/c/pfstatisticstypes/structs/pfstatisticsgetstatisticsforentitiesrequest.md)
- [PFStatisticsGetStatisticsForEntitiesResponse](/services/playfab/api-references/c/pfstatisticstypes/structs/pfstatisticsgetstatisticsforentitiesresponse.md)
- [PFStatisticsGetStatisticsForEntitiesGetResult](/services/playfab/api-references/c/pfstatistics/functions/pfstatisticsgetstatisticsforentitiesgetresult.md)
